#!/bin/bash -eu

if ! command -v virtualenv3 >/dev/null; then
    echo "cannot find virtualenv3" >&2
    exit 1
fi

if [ ! -e ./bin/activate ]; then
    echo "creating new virtualenv"
    virtualenv3 .
fi

./bin/python3 -c 'import discord' >/dev/null 2>&1 ||
    ./bin/pip install discord
